package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*评论表
* @author quyixiao
* @since 2025-12-05
*/

@Data
@TableName("vv_comment")
public class VvCommentEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvCommentEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                 // 
    public final static String is_delete = CLASS_NAME + "is_delete";                    // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                // 修改时间
    public final static String product_comment = CLASS_NAME + "product_comment";        // 商品评论的内容
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";          // 订单id
    public final static String sku_id = CLASS_NAME + "sku_id";                          // sku_id
    public final static String product_id = CLASS_NAME + "product_id";                  // 商品id
    public final static String product_title = CLASS_NAME + "product_title";            // 商品标题
    public final static String sku_info = CLASS_NAME + "sku_info";                      // sku信息
    public final static String status_ = CLASS_NAME + "status";                         // 待审批 wait_approval 待审批, approval_pass，审批通过 , approval_not_pass 审批未通过，如果审批未通过，即自己可见，但别人不可见 。 
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";      // 创建时间
    public final static String service_comment = CLASS_NAME + "service_comment";        // 服务评论内容
    public final static String desc_match = CLASS_NAME + "desc_match";                  // 描述相符
    public final static String seller_service = CLASS_NAME + "seller_service";          // 卖家服务
    public final static String logistics_service = CLASS_NAME + "logistics_service";    // 物流服务
    public final static String useful_count = CLASS_NAME + "useful_count";              // 有用数
    public final static String buyer_id = CLASS_NAME + "buyer_id";                      // 买家id
    public final static String buyer_name = CLASS_NAME + "buyer_name";                  // 买家名称
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";                // 买家手机号
    public final static String track_number = CLASS_NAME + "track_number";              // 包裹id
    public final static String is_system = CLASS_NAME + "is_system";                    // 是否是系统评论
    public final static String reason_ = CLASS_NAME + "reason";                         // 原因
    public final static String gmt_agree = CLASS_NAME + "gmt_agree";                    // 同意时间
    public final static String gmt_reject = CLASS_NAME + "gmt_reject";                  // 拒绝时间
    public final static String agree_user = CLASS_NAME + "agree_user";                  // 同意用户
    public final static String reject_user = CLASS_NAME + "reject_user";                // 拒绝用户
    public final static String avatar_ = CLASS_NAME + "avatar";                         // 头像
    public final static String level_ = CLASS_NAME + "level";                           // 好:good，中:common，差:notgood
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //商品评论的内容
    private String productComment;
    //订单id
    private Long tradeOrderId;
    //sku_id
    private Long skuId;
    //商品id
    private Long productId;
    //商品标题
    private String productTitle;
    //sku信息
    private String skuInfo;
    //待审批 wait_approval 待审批, approval_pass，审批通过 , approval_not_pass 审批未通过，如果审批未通过，即自己可见，但别人不可见 。 
    private String status;
    //创建时间
    private Long createTimestamp;
    //服务评论内容
    private String serviceComment;
    //描述相符
    private Integer descMatch;
    //卖家服务
    private Integer sellerService;
    //物流服务
    private Integer logisticsService;
    //有用数
    private Integer usefulCount;
    //买家id
    private Long buyerId;
    //买家名称
    private String buyerName;
    //买家手机号
    private String buyerPhone;
    //包裹id
    private String trackNumber;
    //是否是系统评论
    private Integer isSystem;
    //原因
    private String reason;
    //同意时间
    private Date gmtAgree;
    //拒绝时间
    private Date gmtReject;
    //同意用户
    private String agreeUser;
    //拒绝用户
    private String rejectUser;
    //头像
    private String avatar;
    //好:good，中:common，差:notgood
    private String level;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 商品评论的内容 
     * @return
     */
    public String getProductComment() {
        return productComment;
    }
    /**
     * 商品评论的内容 
     * @param productComment
     */
    public void setProductComment(String productComment) {
        this.productComment = productComment;
    }

    /**
     * 订单id 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单id 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * sku_id 
     * @return
     */
    public Long getSkuId() {
        return skuId;
    }
    /**
     * sku_id 
     * @param skuId
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * 商品标题 
     * @return
     */
    public String getProductTitle() {
        return productTitle;
    }
    /**
     * 商品标题 
     * @param productTitle
     */
    public void setProductTitle(String productTitle) {
        this.productTitle = productTitle;
    }

    /**
     * sku信息 
     * @return
     */
    public String getSkuInfo() {
        return skuInfo;
    }
    /**
     * sku信息 
     * @param skuInfo
     */
    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    /**
     * 待审批 wait_approval 待审批, approval_pass，审批通过 , approval_not_pass 审批未通过，如果审批未通过，即自己可见，但别人不可见 。  
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * 待审批 wait_approval 待审批, approval_pass，审批通过 , approval_not_pass 审批未通过，如果审批未通过，即自己可见，但别人不可见 。  
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 创建时间 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 服务评论内容 
     * @return
     */
    public String getServiceComment() {
        return serviceComment;
    }
    /**
     * 服务评论内容 
     * @param serviceComment
     */
    public void setServiceComment(String serviceComment) {
        this.serviceComment = serviceComment;
    }

    /**
     * 描述相符 
     * @return
     */
    public Integer getDescMatch() {
        return descMatch;
    }
    /**
     * 描述相符 
     * @param descMatch
     */
    public void setDescMatch(Integer descMatch) {
        this.descMatch = descMatch;
    }

    /**
     * 卖家服务 
     * @return
     */
    public Integer getSellerService() {
        return sellerService;
    }
    /**
     * 卖家服务 
     * @param sellerService
     */
    public void setSellerService(Integer sellerService) {
        this.sellerService = sellerService;
    }

    /**
     * 物流服务 
     * @return
     */
    public Integer getLogisticsService() {
        return logisticsService;
    }
    /**
     * 物流服务 
     * @param logisticsService
     */
    public void setLogisticsService(Integer logisticsService) {
        this.logisticsService = logisticsService;
    }

    /**
     * 有用数 
     * @return
     */
    public Integer getUsefulCount() {
        return usefulCount;
    }
    /**
     * 有用数 
     * @param usefulCount
     */
    public void setUsefulCount(Integer usefulCount) {
        this.usefulCount = usefulCount;
    }

    /**
     * 买家id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 买家id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名称 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    /**
     * 包裹id 
     * @return
     */
    public String getTrackNumber() {
        return trackNumber;
    }
    /**
     * 包裹id 
     * @param trackNumber
     */
    public void setTrackNumber(String trackNumber) {
        this.trackNumber = trackNumber;
    }

    /**
     * 是否是系统评论 
     * @return
     */
    public Integer getIsSystem() {
        return isSystem;
    }
    /**
     * 是否是系统评论 
     * @param isSystem
     */
    public void setIsSystem(Integer isSystem) {
        this.isSystem = isSystem;
    }

    /**
     * 原因 
     * @return
     */
    public String getReason() {
        return reason;
    }
    /**
     * 原因 
     * @param reason
     */
    public void setReason(String reason) {
        this.reason = reason;
    }

    /**
     * 同意时间 
     * @return
     */
    public Date getGmtAgree() {
        return gmtAgree;
    }
    /**
     * 同意时间 
     * @param gmtAgree
     */
    public void setGmtAgree(Date gmtAgree) {
        this.gmtAgree = gmtAgree;
    }

    /**
     * 拒绝时间 
     * @return
     */
    public Date getGmtReject() {
        return gmtReject;
    }
    /**
     * 拒绝时间 
     * @param gmtReject
     */
    public void setGmtReject(Date gmtReject) {
        this.gmtReject = gmtReject;
    }

    /**
     * 同意用户 
     * @return
     */
    public String getAgreeUser() {
        return agreeUser;
    }
    /**
     * 同意用户 
     * @param agreeUser
     */
    public void setAgreeUser(String agreeUser) {
        this.agreeUser = agreeUser;
    }

    /**
     * 拒绝用户 
     * @return
     */
    public String getRejectUser() {
        return rejectUser;
    }
    /**
     * 拒绝用户 
     * @param rejectUser
     */
    public void setRejectUser(String rejectUser) {
        this.rejectUser = rejectUser;
    }

    /**
     * 头像 
     * @return
     */
    public String getAvatar() {
        return avatar;
    }
    /**
     * 头像 
     * @param avatar
     */
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    /**
     * 好:good，中:common，差:notgood 
     * @return
     */
    public String getLevel() {
        return level;
    }
    /**
     * 好:good，中:common，差:notgood 
     * @param level
     */
    public void setLevel(String level) {
        this.level = level;
    }

    @Override
    public String toString() {
        return "VvCommentEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",productComment=" + productComment +
                ",tradeOrderId=" + tradeOrderId +
                ",skuId=" + skuId +
                ",productId=" + productId +
                ",productTitle=" + productTitle +
                ",skuInfo=" + skuInfo +
                ",status=" + status +
                ",createTimestamp=" + createTimestamp +
                ",serviceComment=" + serviceComment +
                ",descMatch=" + descMatch +
                ",sellerService=" + sellerService +
                ",logisticsService=" + logisticsService +
                ",usefulCount=" + usefulCount +
                ",buyerId=" + buyerId +
                ",buyerName=" + buyerName +
                ",buyerPhone=" + buyerPhone +
                ",trackNumber=" + trackNumber +
                ",isSystem=" + isSystem +
                ",reason=" + reason +
                ",gmtAgree=" + gmtAgree +
                ",gmtReject=" + gmtReject +
                ",agreeUser=" + agreeUser +
                ",rejectUser=" + rejectUser +
                ",avatar=" + avatar +
                ",level=" + level +
                "}";
    }
}